nvmlAccountingStats_t(3)

NAME
nvmlAccountingStats_t -

SYNOPSIS

#include <nvml.h>

  Data Fields

unsigned int gpuUtilization
Percent of time over the process's lifetime during which one or more kernels was executing on the GPU. Utilization stats just like returned by nvmlDeviceGetUtilizationRates but for the life time of a process (not just the last sample period). Set to NVML_VALUE_NOT_AVAILABLE if nvmlDeviceGetUtilizationRates is not supported.
unsigned int memoryUtilization
Percent of time over the process's lifetime during which global (device) memory was being read or written. Set to NVML_VALUE_NOT_AVAILABLE if nvmlDeviceGetUtilizationRates is not supported.
unsigned long long maxMemoryUsage
Maximum total memory in bytes that was ever allocated by the process. Set to NVML_VALUE_NOT_AVAILABLE if nvmlProcessInfo_t->usedGpuMemory is not supported.
unsigned long long time
Amount of time in ms during which the compute context was active. The time is reported as 0 if < the process is not terminated.
unsigned long long startTime
CPU Timestamp in usec representing start time for the process.
unsigned int isRunning
Flag to represent if the process is running (1 for running, 0 for terminated).
unsigned int reserved [5]
Reserved for future use.

Detailed Description

Describes accounting statistics of a process.

Author

Generated automatically by Doxygen for NVML from the source code.